#ifndef BASICDIALOG_H
#define BASICDIALOG_H

#include <string>
#include <iostream>
#include <gtk/gtk.h>

using namespace std;

void button_delete(GtkButton *button, gpointer user_data);
void dialog_delete(GtkWidget *dialog, GdkEvent *event, gpointer user_data);

enum {
  c_none,
  c_close,
  c_closenot,
};

enum {
  b_ok,
  b_both,
  b_cancel,
  b_left,
  b_right
};

class BasicDialog{
 public:
  BasicDialog(string dtitle, int _bnumber, int closes, bool modal, bool m_or_c);
  ~BasicDialog();
  void requestSize(int x, int y);
  int createDialog(string dimage, string dlabel);
  int createDialog(string dimage, string dlabel, string b1image, string b1label,
		   int type, int adjust);
  int createDialog(string dimage, string dlabel, string b1image, 
		   string b1label, string b2image, string b2label);
  void showDialog();
  int connectSignal(gpointer sobject, string sname, GCallback fptr);
  void setTransientFor(GtkWindow *theWindow);

  int bnumber;
  int closestate;

  GtkWidget *basicdialog;
  GtkWidget *dialog_vbox;
  GtkWidget *dialog_hbox;
  GtkWidget *dialog_image;
  GtkWidget *dialog_label;
  GtkWidget *dialog_action_area;
  GtkWidget *dialog_button1;
  GtkWidget *button_alignment1;
  GtkWidget *button_hbox1;
  GtkWidget *button_image1;
  GtkWidget *button_label1;
  GtkWidget *dialog_button2;
  GtkWidget *button_alignment2;
  GtkWidget *button_hbox2;
  GtkWidget *button_image2;
  GtkWidget *button_label2;
};

#endif
