#include "fileutils.h"

using namespace std;

File::File(string _fileName, ios_base::openmode m){
  thefile = new fstream(_fileName.c_str(), m);
  if(!thefile){
    fileok = false;
  }
  else{
    fileok = true;
  }
}

File::~File(){
  thefile->close();
}

int File::fileeof(){
  return thefile->eof();
}

int File::write_pair(twinpair *thepair){
  string tmpStr;
  tmpStr = thepair->name + "=" + thepair->value + "\n";
  thefile->write(tmpStr.c_str(), tmpStr.length());
}

int File::read_pair(twinpair *thepair){
  char line[512];
  string tmpStr;
  thefile->getline(line,512);
  tmpStr = line;
 
  string findStr = "=";
  string::size_type pos = tmpStr.rfind(findStr,tmpStr.size() -1);
  if(pos != string::npos){
    thepair->name = tmpStr.substr(0,pos);
    thepair->value = tmpStr.substr(pos + 1, tmpStr.size() -1);
    return 0;
  }
  else{
    return 1;
  }
}
