#ifndef RENAMEFOLDERDIALOG_H
#define RENAMEFOLDERDIALOG_H

#include <string>
#include <iostream>
#include <gtk/gtk.h>

using namespace std;

class RenameFolder{
 public:
  RenameFolder(string fname);
  ~RenameFolder();
  void createDialog();
  void showDialog();
  string foldername;
  GtkWidget *renamefolderdialog;
  GtkWidget *dialog_vbox;
  GtkWidget *top_vbox;
  GtkWidget *top_hbox;
  GtkWidget *folderimage;
  GtkWidget *renamefolder_label;
  GtkWidget *renamefolder_entry;
  GtkWidget *dialog_action_area;
  GtkWidget *cancelbutton;
  GtkWidget *okbutton; 
};

RenameFolder* renamefolderdialog(string fname);
void on_rename_cancel_clicked(GtkButton *button, gpointer user_data);
void on_rename_ok_clicked(GtkButton *button, gpointer user_data);
void on_rename_delete_clicked(GtkWidget *dialog, GdkEvent *event, gpointer user_data);
                      
#endif
