#ifndef EDITDISCDIALOG_H
#define EDITDISCDIALOG_H

#include <string>
#include <iostream>
#include <gtk/gtk.h>

using namespace std;

class EditDisc{
 public:
  EditDisc(string dname, int dtype, int dsize);
  ~EditDisc();
  void createDialog();
  void showDialog();
  string discName;
  int discType;
  int discSize;
  GtkWidget *editdiscdialog;
  GtkWidget *dialog_vbox;
  GtkWidget *top_hbox;
  GtkWidget *cdromimage;
  GtkWidget *top_table;
  GtkWidget *disc_label;
  GtkWidget *editdisc_entry;
  GtkWidget *size_label;
  GtkWidget *sizemenu;
  GtkWidget *menu_size;
  GtkWidget *_700MB;
  GtkWidget *_650MB;
  GtkWidget *_4700MB;
  GtkWidget *type_label;
  GtkWidget *typemenu;
  GtkWidget *menu_type;
  GtkWidget *type_cdrw_item;
  GtkWidget *type_cdr_item;
  GtkWidget *type_dvdr_item;
  GtkWidget *dialog_action_area;
  GtkWidget *cancelbutton;
  GtkWidget *okbutton;
};

void on_650mb_activate(GtkMenuItem *menuitem, gpointer user_data);
void on_700mb_activate(GtkMenuItem *menuitem, gpointer user_data);
void on_4700mb_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_type_cdr_item_activate(GtkMenuItem *menuitem, gpointer user_data);
void on_type_cdrw_item_activate(GtkMenuItem *menuitem, gpointer user_data);
void on_type_dvdr_item_activate(GtkMenuItem *menuitem, gpointer user_data);

void on_edit_cancel_clicked(GtkButton *button, gpointer user_data);
void on_edit_ok_clicked(GtkButton *button, gpointer user_data);
void on_edit_delete_clicked(GtkWidget *dialog, GdkEvent *event, gpointer user_data);

EditDisc *editdiscdialog(string dname, int dtype, int dsize);

#endif
