#include <gtk/gtk.h>
#include "maingui.h"
#include "setup.h"
#include "cdburner.h"

extern Setup *setup;
extern CDburner *burnprocess;
extern GtkWidget *mainWindow;

MainGUI *maingui = NULL;

int
main (int argc, char *argv[])
{
  GtkWidget *discomatic;

  gtk_set_locale ();
  gtk_init (&argc, &argv);
    
  maingui = new MainGUI();
  discomatic = maingui->createDiscomatic();
  gtk_widget_show(discomatic);
  mainWindow = discomatic;

  setup = new Setup();
  setup->loadrcfile();
  
  burnprocess = new CDburner();  
  
  gtk_main ();
  return 0;
}

