#ifndef PROCESSWATCH_H
#define PROCESSWATCH_H

#include <vector>
#include <gtk/gtk.h>

using namespace std;

class Process;
class ProcessWatch;
class CDburner;

gboolean process_watch(gpointer data);

class ProcessTimeout{
 public:
  ProcessTimeout(Process *_theProcess);
  void addTimeout(int _nextState);
  guint time_tag;
  Process* theProcess;
  int stateOnClose;
  ProcessWatch* parent;
};

class ProcessWatch{
 public:
  void setCDBurner(CDburner *parent);
  void addProcess(Process * theProcess, int _nextState);
  int removeProcess(ProcessTimeout *_theProcess, int error);
  void killProcess(ProcessTimeout *_theProcess);
  vector<ProcessTimeout*> theProcesses;
  void killAll();
  CDburner *burnerParent;
};

#endif
