#ifndef PROJECT_H
#define PROJECT_H

#include <gtk/gtk.h>

#include <vector>
#include <string>

using namespace std;

class Folder;
class FolderView;
class DiscView;

class Project{
 public:
  Project();
  void newProject(char *_path);
  void loadData(GtkTreeView* tree_view_folder, 
		GtkTreeView* tree_view_disc, 
		GtkWidget *vbox_disclist, char *_path);
  ~Project();
  int newFolderView(GtkTreeView *tree_view, char *_path);
  int newDiscView(GtkTreeView *tree_view, GtkWidget *vbox_disclist);
  int deleteFolderView();
  int deleteDiscView();
  int writeToFile();
  int createFromFile(string _fileName);
  int save();
  int saveas();
  int nextProjectState;
  bool fileError;
  string projectFileName;
  Folder *baseDir;
  FolderView *folderView;
  DiscView *discView;
  GdkPixbuf *folderimage;
  GdkPixbuf *cdromimage;
  GtkWidget *fimage;
  GtkWidget *cimage;
};

#endif
